Package org.apache.lucene.search

## Class IndexSearcher.LeafSlice

- java.lang.Object
- - org.apache.lucene.search.IndexSearcher.LeafSlice

- Enclosing class:
    IndexSearcher

      public static class IndexSearcher.LeafSlice
      extends Object

  A class holding a subset of the `IndexSearcher`s leaf contexts to be executed within a single thread.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `LeafReaderContext[]` | `leaves` | The leaves that make up this slice.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LeafSlice​(List<LeafReaderContext> leavesList)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### leaves

          public final LeafReaderContext[] leaves

      The leaves that make up this slice.
      WARNING: This API is experimental and might change in incompatible ways in the next release.

  - ### Constructor Detail

    - #### LeafSlice

          public LeafSlice​(List<LeafReaderContext> leavesList)